local assets =
{
	Asset("ANIM", "anim/taiwings.zip"),
	Asset ("ATLAS", "images/inventoryimages/taiwings.xml")
}

local function fn()
	local inst = CreateEntity()

	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("taiwings")
    inst.AnimState:SetBuild("taiwings")
    inst.AnimState:PlayAnimation("idle")


    if not TheWorld.ismastersim then
        return inst
    end

    inst.entity:SetPristine()

    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "taiwings"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/taiwings.xml"

    inst:AddComponent("inspectable")
    inst:AddComponent("tradable")
	
--[[    
    inst:AddTag("cattoy")
	MakeDragonflyBait(inst, 3)

    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM


    inst:AddComponent("edible")
    inst.components.edible.foodtype = FOODTYPE.WOOD
    inst.components.edible.woodiness = 1

    inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
	MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)
    
    MakeHauntableLaunchAndIgnite(inst)
    
	inst:AddComponent("repairer")
	inst.components.repairer.repairmaterial = MATERIALS.HAY
	inst.components.repairer.healthrepairvalue = TUNING.REPAIR_CUTGRASS_HEALTH
--]]

    return inst
end

return Prefab("common/inventory/taiwings", fn, assets)